import { IMaterialItem, IWeAppData, IMiniprogramPlugin } from '@cloudbase/lowcode-generator/lib/weapps-core';
/**
 * All build parameters and intermediate data to be share across processes
 */
export interface IBuildContext {
    /**
     * 应用id
     */
    appId: string;
    domain: string;
    projDir: string;
    materialLibs: IMaterialItem[];
    isProduction: boolean;
    mainAppData: IWeAppData;
    isMixMode: boolean;
    rootPath?: string;
    miniprogramPlugins?: IMiniprogramPlugin[];
    debugMode?: boolean;
    isBrowserMpBuilder?: boolean;
    processCssUnit?: 'px' | 'rem' | 'rpx';
    /**
     * 是否是私有化的环境
     */
    isPrivateMode?: boolean;
    /**
     * 云开发sdk请求，js-sdk or wx.cloud
     */
    endpointType?: 'tcb-api' | 'wechat-service';
    /**
     * 是否在页面层面添加节点
     * 并设置 #page-root-id
     */
    enablePageRoot?: boolean;
    /**
     * 是否使用默认加载
     */
    enableLoading?: boolean;
    /**
     * 应用版本
     */
    version?: string;
    /**
     * 是否启用过期
     */
    enableExpiredTag?: boolean;
    /**
     * 是否禁用应用
     */
    disabled?: boolean;
    /**
     * 自定义状态页Id
     */
    statusPageId?: string;
}
