import { IWeAppData, IPlugin } from '@cloudbase/lowcode-generator/lib/weapps-core';
import { IBuildContext } from './BuildContext';
import { BuildType, IAppUsedComp, IUsedComps } from '../types/common';
import { IPlatformApp } from '@cloudbase/cals';
import { IBuildWedaApp } from '../core';
export declare function generateWxMp({ buildContext, weapps, calses, plugins, deployOptions, options, buildTypeList, ignoreInstall, }: {
    buildContext: IBuildContext;
    weapps: IWeAppData[];
    calses: IPlatformApp[];
    plugins: IPlugin[];
    deployOptions: Required<IBuildWedaApp>['deployOptions'];
    options: {
        mpAppId: string;
        resourceAppId?: string;
        isCrossAccount: boolean;
    };
    buildTypeList: BuildType[];
    ignoreInstall: boolean;
}): Promise<{
    miniprogramRoot: string;
}>;
export declare function generateConfig(data: {
    domain?: string;
    isPrivateMode?: boolean;
    endpointType?: IBuildContext['endpointType'] | '';
}, root: string): Promise<void>;
export declare function writeLowCodeFiles(ctx: IBuildContext, appData: IWeAppData, outDir: string): Promise<void>;
/**
 * TODO: 与 cals 里的实现进行整合
 * 关键点在于 appUsedComps 分组， 与 generic componen 的实现
 */
export declare function handleUsedComponents({ buildContext, weapps }: {
    buildContext: IBuildContext;
    weapps: IWeAppData[];
}): {
    appUsedComps: IAppUsedComp[];
    allAppUsedComps: IUsedComps;
};
