import datasetProfiles from './dataset-profiles'
const dataSourceProfiles = require('./datasource-profiles.js')
import config from '../common/config'

/**
 * 数据源基本配置
 */
export default {
  /** 当前是否处于正式发布模式 */
  isProd: <%= isProd %>,
  /** 低码应用ID */
  appID: '<%= appID %>',
  /** 云开发环境ID */
  envID: '<%= envID %>',
  /** 应用端ID */
  tcbClientId: '<%= clientID %>',
  /** 云开发资源所属的微信app id */
  resourceAppid: '<%= resourceAppid %>',
  /** 数据源描述对象数组 */
  dataSourceProfiles: dataSourceProfiles,
  /**
   * 新的dataset变量配置对象
   * key 为页面ID(全局为$global), val 为变量配置数组
   */
  datasetProfiles: datasetProfiles,
  /**
   * 确定调用链路
   */
  endpointType: config.endpointType,
  /**
   * 调用链路为 tcb-api 时有效
   * 私有化需要设置
   */
  tcbApiOrigin: config.tcbApiOrigin,
  /**
   * 是否是处于私有化版本
   */
  isPrivate: config.isPrivate
}
